<template>
    <div style="width: max-content">
        <template v-if="widget">
            <widget-one
                v-if="widgetId === 1"
                :event-id="eventId"
            />
            <widget-two
                v-if="widgetId === 2"
                :event-id="eventId"
            />
            <widget-three
                v-if="widgetId === 3"
            />
        </template>
    </div>
</template>
<style>
.odds{
    display: flex;
    width: 100%;
    flex-direction: column;
}
.info__block_top{
    background-color: transparent;
    font-weight: 300;
    font-size: 12px;
    line-height: 12px;
    color: rgba(255, 255, 255, 0.5);
    text-align: center;
    margin-bottom: 5px;
}
.container__block {
    display: flex;
    align-items: center;
    text-decoration: none;
    position: relative;
    color: white;
    font-size: 16px;
    font-weight: 300;
    line-height: 18px;
    font-family: "Titillium Web", sans-serif;
    background-color: transparent;
    image-rendering: -webkit-optimize-contrast
}

.container__block .info__block, .container__block .image__block, .container__block .link__block {
    margin-right: 4px;
    border-radius: 6px
}



.container__block.v2 {
    align-items: stretch;
    flex-direction: column;
    width: 282px;
    padding: 3px 0;
}
.container__block.v2 .image__block_top{
    height: 24px;
    flex: 0 0 77px;
    max-width: 77px;
    margin-right: 10px;
}
.container__block.v2 .info__block_top{
    border: 1px solid rgba(255, 255, 255, 0.1);
    box-sizing: border-box;
    border-radius: 6px;
    text-align: center;
    margin-right: 10px;
    height: 24px;
    width: 54px;
    /*flex: 0 0 50px;*/
    /*max-width: 50px;*/
    font-size: 13px;
    color: white;
    line-height: 20px;
    display: inline-flex;
    align-items: center;
    padding: 0 5px;
    justify-content: center;
    margin-bottom: 0;
}
.container__block.v2 .info__block_top:last-child{
    margin-right: 0;
}
.container__block.v2 .container__row {
    padding: 3px 6px;
}

.container__block.v2 .link__block {
    margin: 3px 6px;
}

.container__block.v2 .info__block, .container__block.v2 .image__block {
    margin-right: 10px
}

.container__block.v2 .image__block {
    height: 34px;
    flex: 0 0 75px;
    max-width: 75px;
}

.container__block.v2 .info__block {
    height: 24px;
    flex: 0 0 44px;
    max-width: 44px;
    font-size: 16px;
    color: white;
    line-height: 24px;
    padding: 7px 5px 5px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
}
.container__block.v3{
    padding: 5px;
    align-items: flex-end;
}
.container__block.v3 .link__block {
    margin-left: 0;
    width: 90px;
    border-radius: 40px;
}

.container__block.v3 .link__block:after{
    margin-right: 3px;
}
.container__block.v3 .link__block:before{
    margin-left: 3px;
}

.container__block.v3 .container__row {
    margin-right: 4px
}

.container__block.v3 .info__block {
    /*font-size: 14px;*/
    /*line-height: 18px;*/
    width: auto;
    /*padding: 5px 5px 1px*/
}

.container__row {
    display: flex;
    align-items: flex-end;
}

.info__block {

    height: 18px;
    text-align: center;
    color: rgba(255, 255, 255, 0.5);
    font-size: 15px;
    line-height: 18px;
    padding: 3px 5px 3px;
    background: rgba(255, 255, 255, 0.1);
}

.image__block {
    display: block;
    width: 48px;
    flex: 0 0 50px;
    max-width: 50px;
    height: 22px;
    overflow: hidden;
    background-color: white;
    border: 1px solid #EEEFF0
}

.image__block img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: contain;
    background-size: contain;
    background-position: 50%;
    background-repeat: no-repeat;
}

.link__block {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 3px 8px 5px;
    color: white;
    font-size: 18px;
    line-height: 20px;
    font-weight: 300;
    background-color: #DF0F17
}

.link__block:before {
    width: 13px;
    height: 14px;
    margin-top: 1px;
    margin-right: 8px;
    content: '';
    background-repeat: no-repeat;
    background-position: 0 0;
    background-image: url("data:image/svg+xml,%3Csvg%20width%3D%2213%22%20height%3D%2214%22%20viewBox%3D%220%200%2013%2014%22%20fill%3D%22none%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%0A%20%20%3Cpath%20d%3D%22M5.31.5a4.73%204.73%200%2000-4.5%204.73v3.54a4.73%204.73%200%20004.73%204.73h1.24v-3.32h-.29c-.65%200-1.18-.53-1.18-1.18V.5zM8.24%2013.5a4.73%204.73%200%20004.5-4.73V5.23A4.73%204.73%200%20008.03.5H6.78v3.32h.28c.65%200%201.18.53%201.18%201.18v8.5z%22%20fill%3D%22%23fff%22%2F%3E%0A%3C%2Fsvg%3E%0A")
}

.link__block:after {
    width: 14px;
    height: 14px;
    margin-top: 1px;
    margin-left: 8px;
    content: '';
    background-repeat: no-repeat;
    background-position: 0 0;
    background-image: url("data:image/svg+xml,%3Csvg%20width%3D%2214%22%20height%3D%2214%22%20viewBox%3D%220%200%2014%2014%22%20fill%3D%22none%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%0A%20%20%3Cpath%20d%3D%22M7.5.5a.93.93%200%20000%201.86h2.4L4.08%208.2a.93.93%200%20101.3%201.31l5.85-5.84v2.4a.93.93%200%20001.86%200V1.43a.93.93%200%2000-.93-.93H7.51z%22%20fill%3D%22%23fff%22%2F%3E%0A%20%20%3Cpath%20d%3D%22M1.94%202.36A1.86%201.86%200%2000.08%204.2v7.43a1.86%201.86%200%20001.86%201.86h7.42a1.86%201.86%200%20001.86-1.86V8.86a.93.93%200%2000-1.86%200v2.78H1.94V4.21h2.78a.93.93%200%20100-1.85H1.94z%22%20fill%3D%22%23fff%22%2F%3E%0A%3C%2Fsvg%3E%0A")
}

html, body {
    margin: 0
}
</style>
<script>
import {mapGetters, mapActions, mapMutations} from 'vuex'
import WidgetOne from '../components/widgets/WidgetOne'
import WidgetTwo from '../components/widgets/WidgetTwo'
import WidgetThree from '../components/widgets/WidgetThree'

export default {
    name: "Widget",
    props: {
        widgetId: [String, Number],
        test: [String],
        eventId: [String, Number],
    },
    computed: {
        ...mapGetters(['widget']),

    },
    methods: {
        ...mapActions(['fetchWidget']),

    },
    components: {WidgetThree, WidgetOne, WidgetTwo},
    mounted() {

        window.Echo.channel(`jokerodds_database_presence-event-bets.${this.eventId}`)
            .listen('BetsUpdated', (response) => {
                this.$store.dispatch('updateWidgetBets',response.bets.prematch);
            });

        window.Echo.channel(`jokerodds_database_presence-bets-live`)
            .listen('BetsLiveUpdated', (response) => {
                this.$store.dispatch('updateWidgetBetsLive',response.bets);
            });
    },
    destroyed() {
        window.Echo.leave(`jokerodds_database_presence-event-bets.${this.eventId}`)
    }

}
</script>
